nsurfacefilter.h File Reference

Contains a packet that filters through normal surfaces. More...

`#include "regina-core.h"`
`#include "packet/npacket.h"`
`#include "surfaces/surfacefiltertype.h"`

## Classes

struct | regina::SurfaceFilterInfo< filterType >
| A template that stores information about a particular type of normal surface filter. More...
struct | regina::PacketInfo< PACKET_SURFACEFILTER >
| Stores information about the normal surface filter packet type. More...
struct | regina::SurfaceFilterInfo< NS_FILTER_DEFAULT >
| Stores information about the default accept-all surface filter. More...
class | regina::NSurfaceFilter
| A packet that accepts or rejects normal surfaces. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_SURFACE_FILTER(class_, id)
| Defines various constants, types and virtual functions for a descendant class of NSurfaceFilter. More...

## Detailed Description

Contains a packet that filters through normal surfaces.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).